package com.gyee.frame.common.conf;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 读取项目相关配置
 * 
 * @author gyee
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "mongodb")
public class MongodbConfig
{
    public static String mongodb_ip;
    public static String mongodb_port;
    public static String mongodb_perHost;
    public static String mongodb_threadsAllowed;
    public static String mongodb_connectTimeout;
    public static String mongodb_maxWaitTime;
    public static String mongodb_socketTimeout;

    public static String getMongodb_ip() {
        return mongodb_ip;
    }

    public static void setMongodb_ip(String mongodb_ip) {
        MongodbConfig.mongodb_ip = mongodb_ip;
    }

    public static String getMongodb_port() {
        return mongodb_port;
    }

    public static void setMongodb_port(String mongodb_port) {
        MongodbConfig.mongodb_port = mongodb_port;
    }

    public static String getMongodb_perHost() {
        return mongodb_perHost;
    }

    public static void setMongodb_perHost(String mongodb_perHost) {
        MongodbConfig.mongodb_perHost = mongodb_perHost;
    }

    public static String getMongodb_threadsAllowed() {
        return mongodb_threadsAllowed;
    }

    public static void setMongodb_threadsAllowed(String mongodb_threadsAllowed) {
        MongodbConfig.mongodb_threadsAllowed = mongodb_threadsAllowed;
    }

    public static String getMongodb_connectTimeout() {
        return mongodb_connectTimeout;
    }

    public static void setMongodb_connectTimeout(String mongodb_connectTimeout) {
        MongodbConfig.mongodb_connectTimeout = mongodb_connectTimeout;
    }

    public static String getMongodb_maxWaitTime() {
        return mongodb_maxWaitTime;
    }

    public static void setMongodb_maxWaitTime(String mongodb_maxWaitTime) {
        MongodbConfig.mongodb_maxWaitTime = mongodb_maxWaitTime;
    }

    public static String getMongodb_socketTimeout() {
        return mongodb_socketTimeout;
    }

    public static void setMongodb_socketTimeout(String mongodb_socketTimeout) {
        MongodbConfig.mongodb_socketTimeout = mongodb_socketTimeout;
    }
}
